Subject: bug#24537: closed (Re: bug#24537: [PATCH] Fix compatibility with macOS 10.12 pmset (bug#24537))

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 30 Sep 2016 21:43:02 +0000

Your bug report

#24537: 25.1; battery.el on macOS Sierra 10.12

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
24537: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=24537
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#24537: [PATCH] Fix compatibility with macOS 10.12 pmset (bug#24537)
From: Alan Third <[email-masked]>
To: Kevin Lin <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Noam Postavsky <[email-masked]>
Date: Fri, 30 Sep 2016 22:42:08 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Sep 29, 2016 at 08:30:02PM -0700, Kevin Lin wrote:
> Yup it works.  Thank you both!
> -Kevin
> 
> On Thursday, September 29, 2016, Noam Postavsky <
> [email-masked]> wrote:
> 
> > On Thu, Sep 29, 2016 at 6:09 PM, Alan Third <[email-masked]
> > <javascript:;>> wrote:
> > > I’ve removed the three extra slashes, do you want me to repost the
> > > patch?
> >
> > I don't have any more comments for you. Apart from the slashes, it
> > looks okay (I don't run OSX, so I can't confirm if it works).
> >

Pushed to master.
-- 
Alan Third

Subject: 25.1; battery.el on macOS Sierra 10.12
From: Kevin Lin <[email-masked]>
To: [email-masked]
Date: Sat, 24 Sep 2016 22:41:10 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

display-battery-mode stopped working when I upgraded
from macOS 10.11 to 10.12.  It appears the output of
`pmset -g ps` has changed, breaking pattern matching
in battery-pmset.  Changing the line

  (looking-at "\\([0-9]\\{1,3\\}\\)%")

in battery-pmset to

  (re-search-forward "\\([0-9]\\{1,3\\}\\)%")

fixes the problem, at least on my machine.

Cheers,
Kevin

In GNU Emacs 25.1.1 (x86_64-apple-darwin13.4.0, NS appkit-1265.21
Version 10.9.5 (Build 13F1911))
 of 2016-09-17 built on builder10-9.porkrind.org
Windowing system distributor 'Apple', version 10.3.1504
Configured using:
 'configure --with-ns
 '--enable-locallisppath=/Library/Application
 Support/Emacs/${version}/site-lisp:/Library/Application
 Support/Emacs/site-lisp''

Configured features:
NOTIFY ACL GNUTLS LIBXML2 ZLIB TOOLKIT_SCROLL_BARS NS

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Org-Agenda 28 days Ddl Grid

Minor modes in effect:
  shell-dirtrack-mode: t
  display-battery-mode: t
  display-time-mode: t
  iswitchb-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  buffer-read-only: t
  line-number-mode: t
  transient-mark-mode: t

Recent messages:
Warning: symbolic link to Git-controlled source file
Word wrapping enabled
Warning: symbolic link to Git-controlled source file
Word wrapping enabled
Warning: symbolic link to Git-controlled source file
Word wrapping enabled [2 times]
‘working-revision’ not found: using the old ‘workfile-version’ instead
Word wrapping enabled
‘working-revision’ not found: using the old ‘workfile-version’ instead
For information about GNU Emacs and the GNU system, type C-h C-a.

Load-path shadows:
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-view
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-view
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-util
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-util
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-tools
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-tools
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-sync
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-sync
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-outline
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-outline
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-occur
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-occur
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-misc
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-misc
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-links
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-links
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-isearch
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-isearch
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-info
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-info
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-history
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-history
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-dev
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-dev
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-cache
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-cache
/Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.60/elpa/pdf-annot
hides /Applications/Emacs.app/Contents/Resources/site-lisp/pdf-tools/0.70/share/emacs/site-lisp/pdf-tools/pdf-annot
~/elisp/vc-git hides /Applications/Emacs.app/Contents/Resources/lisp/vc/vc-git
~/elisp/iswitchb hides
/Applications/Emacs.app/Contents/Resources/lisp/obsolete/iswitchb

Features:
(shadow sort mail-extr emacsbug message rfc822 mml
mml-sec epg mm-decode mm-bodies mm-encode mail-parse
rfc2231 mailabbrev gmm-utils mailheader sendmail
rfc2047 rfc2045 ietf-drums mail-utils diary-lib
diary-loaddefs cal-iso org-indent vc-git org-element
org-rmail org-mhe org-irc org-info org-gnus
org-docview doc-view subr-x dired org-bibtex bibtex
org-bbdb org-w3m org-agenda pdf-tools cus-edit
cus-start cus-load wid-edit pdf-view jka-compr
pdf-cache pdf-info tq pdf-util image-mode julia-mode
derived ert pp ewoc debug rx ido ess-toolbar ess-mouse
mouseme thingatpt browse-url ess-menu ess-swv
ess-noweb ess-noweb-font-lock-mode ess-bugs-l essd-els
ess-sas-d ess-sas-l ess-sas-a ess-sta-d ess-sta-l
cc-vars cc-defs make-regexp ess-sp6-d ess-sp3-d
ess-julia ess-r-d ess-r-completion ess-tracebug
compile tramp tramp-compat auth-source cl-seq eieio
eieio-core gnus-util mm-util help-fns mail-prsvr
password-cache tramp-loaddefs trampver shell ess-roxy
advice hideshow ess-help info reporter ess-developer
ess-s-l speedbar sb-image ezimage dframe ess ess-inf
cl-macs ess-mode ess-noweb-mode edmacro kmacro
ess-utils cl ess-custom executable ess-compat ess-site
battery time iswitchb org org-macro org-footnote
org-pcomplete pcomplete org-list org-faces
org-entities noutline outline easy-mmode org-version
ob-emacs-lisp ob ob-tangle ob-ref ob-lob ob-table
ob-exp org-src ob-keys ob-comint ob-core ob-eval
org-compat org-macs org-loaddefs format-spec find-func
cal-menu calendar cal-loaddefs cmuscheme comint
ansi-color ring scheme server finder-inf package
epg-config seq byte-opt gv bytecomp byte-compile
cl-extra help-mode easymenu cconv cl-loaddefs pcase
cl-lib time-date mule-util tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel
ns-win ucs-normalize term/common-win tool-bar dnd
fontset image regexp-opt fringe tabulated-list
newcomment elisp-mode lisp-mode prog-mode register
page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core
frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese
eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese charscript
case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1
md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote kqueue cocoa ns
multi-tty make-network-process emacs)

Memory information:
((conses 16 505649 23267)
 (symbols 48 38900 0)
 (miscs 40 6194 3745)
 (strings 32 79704 13110)
 (string-bytes 1 2519115)
 (vectors 16 49906)
 (vector-slots 8 854589 2388)
 (floats 8 399 18)
 (intervals 56 3640 0)
 (buffers 976 75))